%define upstream_name    Email-Date
%define upstream_version 1.104

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Find and Format Date Headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Time::Piece)
BuildRequires:  perl(Email::Abstract)
BuildRequires:  perl(Email::Date::Format)
BuildRequires:  perl(Date::Parse)
BuildArch:      noarch

%description
RFC 2822 defines the Date: header. It declares the header a required part of an
email message. The syntax for date headers is clearly laid out. Still, even a
perfectly planned world has storms. The truth is, many programs get it wrong.
Very wrong. Or, they don't include a Date: header at all. This often forces you
to look elsewhere for the date, and hoping to find something.

For this reason, the tedious process of looking for a valid date has been
encapsulated in this software. Further, the process of creating RFC compliant
date strings is also found in this software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.104.0-10.mga10
+ Revision: 2198689
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.104.0-9.mga9
+ Revision: 1803436
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.104.0-8.mga8
+ Revision: 1494425
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.104.0-7.mga7
+ Revision: 1267839
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.104.0-6.mga6
+ Revision: 1026898
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.104.0-5.mga6
+ Revision: 938369
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.104.0-4.mga5
+ Revision: 739651
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.104.0-3.mga5
+ Revision: 684614
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.104.0-2.mga4
+ Revision: 531436
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 1.104.0-1.mga4
+ Revision: 463427
- update to 1.104

* Sun Jan 13 2013 umeabot <umeabot> 1.103.0-2.mga3
+ Revision: 366758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.103.0-1.mga1
+ Revision: 11129
- imported package perl-Email-Date


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.103.0-1mdv2010.1
+ Revision: 403156
- rebuild using %%perl_convert_version

* Mon Aug 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.3-1mdv2009.0
+ Revision: 270912
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.10.2-3mdv2009.0
+ Revision: 223663
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.10.2-2mdv2008.1
+ Revision: 180393
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.2-1mdv2008.0
+ Revision: 48062
- update to new version 1.102


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.1-1mdv2007.0
+ Revision: 111316
- fix build dependencies
- Import perl-Email-Date

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.1-1mdv2007.1
- first mdv release

